<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('sets', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->constrained()->onDelete('cascade');
            $table->string('codigo_set');
            $table->string('material');
            $table->string('sucursal');
            $table->text('notas')->nullable();
            $table->string('evidencia_path')->nullable();
            $table->string('evidencia_tipo')->nullable(); // 'image' | 'video'
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('sets');
    }
};
